<?php

namespace App\Http\Controllers;

use App\Models\Year;
use App\Models\Month;
use App\Models\Client;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    public function show()
    {
        $years = Year::all();
        $clients = Client::all();
        return view('clients.add', ([
            'years'=> $years,
            'clients'=>$clients
        ]));
    }
    public function store(Request $request)
    {
        $message = [
            'name.required'=>'Name empty',
            'year.required'=> 'Year empty'
        ];
        $validate=$request->validate([
            'name' => 'required',
            'year' => 'required|array',
            'year.*' => 'exists:years,id'
            
        ], $message);
        $verify = Client::where('name', $request->name)->where('year_id', $request->year)->exists();
        if(!$verify)
        {
            foreach ($request->year as $year_id)
            // foreach ($request->name as $name)
            {
           
              $client = Client::create([
                    'name' => $request->name,
                    // 'name' => $name,
                    
                    'year_id'=>$year_id
                    
                ]);
            // Client::create($validate);
                // $client->years()->attach($year_id);
            }
        
        
            session()->flash('ok', 'Client added successfully');
        
        
        return redirect()->route('add_client');
        }
        session()->flash('error', "Name already taken");
        return redirect()->route('add_client');
    
        
    }

    public function edit($id1, $id2)
    {
        
        $clients = Client::where('id', '=', $id1)->get();
        $years = Year::where('id', '=', $id2)->get();
        return view('clients.edit', compact('clients', 'years'));
    }
    public function update(Request $request, $id)
    {
        $clients = Client::find($id);
        $clients->Jan = $request->jan;
        $clients->Fev = $request->fev;
        $clients->Mars = $request->mars;
        $clients->Avril = $request->avril;
        $clients->Mai = $request->mai;
        $clients->Juin = $request->juin;
        $clients->Juil = $request->juil;
        $clients->Aout = $request->aout;
        $clients->Sept = $request->sept;
        $clients->Oct = $request->oct;
        $clients->Nov = $request->nov;
        $clients->Dec = $request->dec;
        $clients->Status = $request->activate;
        $clients->update();
        return redirect()->route('client',$clients->year_id);
    }
    public function delete($id)
    {
        $clients = Client::find($id);
        
        $clients->delete();
        
        return redirect()->route('client', $clients->year_id);
    }


}
