<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Models\Year;
use App\Models\Client;
use Illuminate\Http\Request;

class YearController extends Controller
{
    
    public function show()
    {
        $years = Year::all();
       
        return view('years.year', compact('years'));
    }
    public function year()
    {
        return view('years.add');
    }
    public function store(Request $request)
    {
        $message = ['year.required'=>'Year empty'];
        $validate = $request->validate([
            'year' => 'required|integer'
        ], $message);
        $verify = Year::where('year', $request->year)->exists();
        if(!$verify)
        {
            $year = Year::create([
                'year'=>$request->year
            ]);
            session()->flash('successyear', 'Year added successfully');
            return redirect()->route('add_client');
            
        }
        
            session()->flash('erroryear', 'year already exist');  
            return redirect()->route('add_client'); 
        
        
    }
    public function delete($id)
    {
        $year = Year::find($id);
        $year->delete();
        return redirect()->route('add_client');

    }
    public function client($id)

    {
        $years = Year::where('id', $id)->get();
        $clients = Client::where('year_id', $id)->paginate(8);
        $actif = Client:: where('year_id', $id)->where('Status', 1)->count();
        $total = Client::where('year_id',$id)->count();
        $caisse = $actif * 22500;
        $reste = $total - $actif;
        $now = Carbon::now()->year;
        return view ('clients.client', ([
            'clients'=> $clients,
            'years'=> $years,
            'actif'=>$actif,
            'total'=>$total,
            'caisse'=>$caisse,
            'reste'=>$reste,
            'yearId' => $id, 
            'now'=>$now
            ]));
    }
    

}
