<?php

namespace App\Imports;

use App\Models\Client;
use Maatwebsite\Excel\Concerns\ToModel;
use PhpOffice\PhpSpreadsheet\Shared\Date;

class ClientsImport implements ToModel
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        return new Client([
            'name'=> $row[0],
            'year_id'=> $row[1],
            'Jan'=> $this->transformDate($row[2]),
            'Fev'=> $this->transformDate($row[3]),
            'Mars'=> $this->transformDate($row[4]),
            'Avril'=> $this->transformDate($row[5]),
            'Mai'=> $this->transformDate($row[6]),
            'Juin'=> $this->transformDate($row[7]),
            'Juil'=> $this->transformDate($row[8]),
            'Aout'=> $this->transformDate($row[9]),
            'Sept'=> $this->transformDate($row[10]),
            'Oct'=> $this->transformDate($row[11]),
            'Nov'=> $this->transformDate($row[12]),
            'Dec'=> $this->transformDate($row[13]),
            'Status'=>$row[14],
        ]);
        
    }
    private function transformDate($value)
    {
        if (!$value || !is_numeric($value)) {
            return null;
        }

        try {
            return Date::excelToDateTimeObject($value)->format('Y-m-d');
        } catch (\Exception $e) {
            return null;
        }
    }
}
