<div>
    <div class="container mt-5 p-4">
        <div class="row fixed">
            <div class="col">
                <a class="text-decoration-none text-reset" href="{{ route('year') }}">
                    <div class="card text-white bg-secondary mb-3">
                        <div class="card-header">Year</div>
                        <div class="card-body">
                            @foreach ($years as $year)
                                <h5 class="card-title">{{ $year->year }}</h5>
                            @endforeach
                        </div>
                    </div>
                </a>
            </div>
            <div class="col">
                <div class="card text-primary bg-outline-info mb-3">
                    <div class="card-header">Clients</div>
                    <div class="card-body">
                        <h5 class="card-title">{{ $total }}</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="card text-success bg-outline-info mb-3">
                    <div class="card-header">Ready</div>
                    <div class="card-body">
                        <h5 class="card-title">{{ $actif }}</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="card text-warning bg-outline-warning mb-3">
                    <div class="card-header">Loading</div>
                    <div class="card-body">
                        <h5 class="card-title">{{ $reste }}</h5>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
                <div class="card text-info bg-outline-secondary mb-3">
                    <div class="card-header">Tune</div>
                    <div class="card-body">
                        <h5 class="card-title">{{ $caisse }}</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="container d-flex py-1 my-1">
                <input type="text" class="text-gray placeholder-text-gray bg-gray-500 rounded w-100" wire:model.live="find" placeholder="search">
            </div>
            <div class="row">
                @forelse($clients as $client)
                    <div class="col-md-3">
                        <div class="card" style="width:250px;">
                            <div class="card-header text-center text-secondary">{{ $client->name }}</div>
                            <div class="card-body">
                                <div class="container">
                                    @foreach(['Jan', 'Fev', 'Mars', 'Avril', 'Mai', 'Juin', 'Juil', 'Aout', 'Sept', 'Oct', 'Nov', 'Dec'] as $month)
                                        <div class="row">
                                            <div class="col-6">{{ __($month) }}</div>
                                            <div class="col-6">{{ $client->$month }}</div>
                                        </div>
                                    @endforeach
                                    <hr>
                                    <div class="row">
                                        <div class="col-6 d-flex align-items-center">
                                            <label for="status-checkbox" class="mr-2">Status</label>
                                            <input type="checkbox" value="1" {{ $client->Status ? 'checked' : '' }} id="status-checkbox" class="custom-checkbox">
                                        </div>
                                        <div class="col-3">
                                            <a class="btn btn-outline-info btn-sm" href="{{ route('edit', ['id1' => $client->id, 'id2' => $client->year_id]) }}">
                                                <i class="fa fa-edit"></i> <!-- Icone d'édition -->
                                            </a>
                                        </div>
                                        <div class="col-3">
                                            <a class="btn btn-outline-danger btn-sm" href="{{ route('client_delete', ['id' => $client->id]) }}">
                                                <i class="fa fa-trash"></i> <!-- Icone de suppression -->
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                    <div class="text-center alert-info">Aucun client pour le moment</div>
                    <hr>
                @endforelse
            </div>
            {{ $clients->links() }}
        </div>
    </div>
</div>
