<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\YearController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ImportController;

// Routes d'authentification
Route::get('/', [HomeController::class, 'index'])->name('accueil');
Route::get('/login', [AuthController::class, 'login'])->name('login');
Route::post('/login', [AuthController::class, 'dologin'])->name('auth.login');
Route::delete('/logout', [AuthController::class, 'logout'])->name('auth.logout');


// Routes protégées par le middleware auth
Route::middleware('auth')->group(function () {
   

    // Routes liées aux clients
    Route::get('/client', [ClientController::class, 'show'])->name('add_client');
    Route::post('/add-client', [ClientController::class, 'store'])->name('create_client');
    Route::get('/client/{id}', [YearController::class, 'client'])->name('client'); // Assurez-vous que ce route utilise le bon contrôleur
    Route::get('/edit/{id1}/{id2}', [ClientController::class, 'edit'])->name('edit');
    Route::get('/delete/{id}', [ClientController::class, 'delete'])->name('client_delete');
    Route::post('/update/{id}', [ClientController::class, 'update'])->name('update');

    // Routes liées aux années
    Route::get('/year', [YearController::class, 'show'])->name('year');
    Route::get('/create-year', [YearController::class, 'year'])->name('edit_year');
    Route::post('/add-year', [YearController::class, 'store'])->name('add_year');
    Route::get('/year/{id}', [YearController::class, 'delete'])->name('year_delete');
    
    // Route d'importation
    Route::post('/import', [ImportController::class, 'import'])->name('import');
});
